use serde::Deserialize;

#[derive(Deserialize, Clone)]
pub struct Config {
    pub database_url: String,
    pub api_version: String,
    pub jwt_secret: String,
    pub host: String,
    pub port: u16
}

pub fn read_config() -> Config {
    let config_data = std::fs
        ::read_to_string("config.toml")
        .expect("failed to read config file, maybe it's missing?");
    
    toml
        ::from_str(&config_data)
        .expect("invalid TOML data, check your config")
}
