use diesel::r2d2::{ConnectionManager, Pool};
use diesel::pg::PgConnection;

pub mod models;

pub type DbPool = Pool<ConnectionManager<PgConnection>>;

pub fn establish_connection(database_url: String) -> DbPool {
    let manager = ConnectionManager::<PgConnection>::new(database_url);
    Pool::builder()
        .build(manager)
        .expect("failed to create database pool")
}
